Subject: bug#52494: 13.0.14; Please rerun for me, if necessary

From: Rolf Ade <[email-masked]>
Date: Wed, 15 Dec 2021 15:09:26 +0100

Hi Ikumi,

Ikumi Keita <[email-masked]> writes:
>>>>>> Reinhard Kotucha <[email-masked]> writes:
>> On 2021-12-15 at 01:10:01 +0100, Rolf Ade wrote:
>>> 
>>> TeX-LaTeX-sentinel notices the user in at least five cases per message()
>>> he should rerun LaTeX (or a similar command) for this or that reason. I
>>> stumbled over that as user of the longtable package
>>> 
>>> If is it necessary to rerun the command and the tex file otherwise
>>> formatted successfully why isn't this done automatically for me?
>
> There is already such a feature. Try C-c C-a in the document bufffer.
> Here is an excerption from info document `(auctex) Starting a Command'.
> ,----
> |    It is also possible to compile automatically the whole document until
> | it is ready with a single command: 'TeX-command-run-all'.
> | 
> |  -- Command: TeX-command-run-all
> |      ('C-c C-a') Compile the current document until an error occurs or
> |      it is finished.  If compilation finishes successfully, run the
> |      viewer at the end.
> `----

thanks for that hint. I tried it with my use case and it works pretty
well. And automatically starting the viewer (without asking me for
confirmation the view command, as C-c C-c does) if the compilation
finished successfully is a welcomed plus.

As far as I'm concerned this could be closed with "feature already
there, user hasn't studied the documentation close enough".

Thanks again and regards
rolf